Page MenuHomePhabricator

Forecast data needs more fine-tuning
Closed, ResolvedPublic8 Estimate Story Points

Description

Looking at this example,

, either algorithms are not implemented as intended, or algorithms are giving un-useful results and should be tuned.

  1. Nominal backlog growth and pessimistic backlog growth are identical, and should not be.
  1. Velocity forecast is zero; optimistic and nominal should probably both be greater than zero.

Acceptance Criteria:

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 21 2016, 5:45 PM
JAufrecht updated the task description. (Show Details)
JAufrecht set the point value for this task to 40.

Another example

KLans_WMF triaged this task as Medium priority.Apr 27 2016, 6:14 PM
KLans_WMF moved this task from To Triage to General backlog on the Team-Practices board.
JAufrecht renamed this task from Forecast data is needs more fine-tuning to be usable to Forecast data needs more fine-tuning.May 18 2016, 5:55 PM
JAufrecht updated the task description. (Show Details)Jun 23 2016, 7:57 PM
JAufrecht edited projects, added Team-Practices (This-Week); removed Team-Practices.

Rescoped this to just fix the immediate problem; moved the bigger version of this into T138530: Thorough review of forecasting assumptions.

JAufrecht reassigned this task from JAufrecht to ksmith.Jun 23 2016, 9:08 PM
JAufrecht updated the task description. (Show Details)
JAufrecht changed the point value for this task from 40 to 8.

Kevin to review vs Acceptance Criteria.

JAufrecht updated the task description. (Show Details)Jun 23 2016, 9:11 PM

All looks good to me. I used several Community Tech forecast charts as my acceptance test, along with the graph specifically mentioned in this task description.

ksmith closed this task as Resolved.Jun 30 2016, 9:06 PM